Package org.eclipse.rdf4j.sail.shacl.ast.planNodes

## Class Sort

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.planNodes.Sort

- All Implemented Interfaces:
    `PlanNode`

      public class Sort
      extends Object
      implements PlanNode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Sort​(PlanNode parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `depth()` |
    `boolean` | `equals​(Object o)` |
    `String` | `getId()` |
    `void` | `getPlanAsGraphvizDot​(StringBuilder stringBuilder)` |
    `int` | `hashCode()` |
    `CloseableIteration<? extends ValidationTuple,​SailException>` | `iterator()` |
    `boolean` | `producesSorted()` |
    `void` | `receiveLogger​(ValidationExecutionLogger validationExecutionLogger)` |
    `boolean` | `requiresSorted()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Sort

          public Sort​(PlanNode parent)

  - ### Method Detail

    - #### iterator

          public CloseableIteration<? extends ValidationTuple,​SailException> iterator()

      Specified by:
        `iterator` in interface `PlanNode`

    - #### depth

          public int depth()

      Specified by:
        `depth` in interface `PlanNode`

    - #### getPlanAsGraphvizDot

          public void getPlanAsGraphvizDot​(StringBuilder stringBuilder)

      Specified by:
        `getPlanAsGraphvizDot` in interface `PlanNode`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `PlanNode`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### receiveLogger

          public void receiveLogger​(ValidationExecutionLogger validationExecutionLogger)

      Specified by:
        `receiveLogger` in interface `PlanNode`

    - #### producesSorted

          public boolean producesSorted()

      Specified by:
        `producesSorted` in interface `PlanNode`

    - #### requiresSorted

          public boolean requiresSorted()

      Specified by:
        `requiresSorted` in interface `PlanNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`